<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head><link rel="stylesheet" type="text/css" href="https://2004.guadec.org/default.css" /><link rel="stylesheet" type="text/css" href="https://2004.guadec.org/guadec.css" /><link rel="icon" type="image/png" href="http://www.gnome.org/img/logo/foot-16.png" />
    <title>GUADEC 2004 Speakers</title>
    <meta content="$Date: 2004/05/18 10:52:18 $" name="cvsdate"/>
  </head>
  <body><div id="body">
   <div>
      <a id="Monday" name="Monday"/>
      <h2>Speakers for Monday</h2>
      <div>
        <a name="id1080321388"/>
        <h3>Evolution &amp; Evolution Data Server, JP Rosevear</h3>
        <p>
          <img src="JP_Rosevear.jpg" border="1" align="right" vspace="10" alt="JP Rosevear" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Evolution Data Server is user daemon for contact,
         events, meetings and task list information. Evolution 2.0
         will be using Evolution Data Server and being a separate
         daemon, anyone in the desktop space can easily use and
         manipulate the data in Evolution or their own data. The
         daemon is multi-threaded and has a synchronous C API as
         well as C# and Python bindings. Developers can also write
         backends that link to their favourite storage mechanism,
         existing backends include webcal, ldap and Group Wise.</p>
         <p>Evolution 2.0 and Evolution Data Server 1.2 will be
         released by the time of the talk and we'll be proposing
         them for GNOME 2.8.</p>
       </div>
        <div class="bio">
         <p>JP Rosevear is the Evolution Engineering Manager at
         Novell. He started hacking on GNOME and free software since
         1999 while working at the University of Waterloo, his alma
         mater. He lives in Mount Albert Ontario with his wife
         Tara.</p>
       </div>
      </div>
      <div>
        <a name="id1080322028"/>
        <h3>Secure Programming for the Desktop, George (Jiri) Lebl</h3>
        <p>
          <img src="George_(Jiri)_Lebl.jpg" border="1" align="right" vspace="10" alt="George (Jiri) Lebl" hspace="10"/>
        </p>
        <div class="abstract">
         <p>While desktop applications are usually not thought to be
         on the "front lines" in terms of security, they can in fact
         pose just as much of a security threat as a server
         application. In fact this threat can be even greater as
         desktop computers are usually not as well managed as
         servers and thus malicious activity can go undetected much
         more easily.</p>
         <p>Furthermore as recent Windows worms have shown, the fact
         that there are a lot more desktop computers then servers
         makes them a much more interesting target for many
         malicious activities. When we put the file systems on the
         network and perhaps even have multiuser machines, then we
         even start facing the same problems that servers are
         facing. While this threat is very real, desktop
         applications tend to be relatively lax about various
         potential problems.</p>
         <p>In this paper I will describe several different issues
         that tend to arise and that I've encountered and how to
         avoid them. These issues range from simple DoS attacks
         (which waste productivity and IT budget when we start
         moving onto corporate desktop), through information leaks,
         to actual break ins. Focus will be given to GNOME and C
         related issues, but in general these ideas can be applied
         to any desktop and programming language.</p>
       </div>
        <div class="bio">
         <p>Born on planet Fumbar in the Galaxy of Morkdur. Later
         moved to planet Earth. Grew up in Prague, Czech Republic,
         and later was moved to the United States and is now living
         in San Diego, California. After 7 years of undergraduate
         study finally got a Bachelors degree from Mathematics and
         two years later a Masters in the same from San Diego State
         university. Now working on a PhD at University of
         California at San Diego. GNOME credentials include, joining
         in 1997-8, working on the panel, gdm, gob, wanda,
         libgnome*, genius, and at one point being paid for this by
         Eazel, Inc.</p>
       </div>
      </div>
      <div>
        <a name="id1080322732"/>
        <h3>Abiword, Martin Sevior</h3>
        <p>
          <img src="Martin_Sevior.png" border="1" align="right" vspace="10" alt="Martin Sevior" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The AbiWord project provides the Word Processor
         component of the Gnome Office Suite. The project continues
         to make excellent progress and we are now the best Free
         Software Word Processor available. Over the next year or
         two we plan to increase this lead and become the best Word
         Processor available on the planet.</p>
         <p>Highlights of the last year of development include the
         releases of AbiWord-2.0 and AbiWord-2.2. Our latest
         release, AbiWord-2.2, provides substantial speedups in the
         loading and editing of complex documents as well as major
         new features like, Text boxes, Table of Contents,
         Stylelist, Drawing on background images, many new Table
         features, improved complex text (including improved
         BiDirectional ) support, text hiding between headings
         (sometimes called outline mode in other programs), a
         sophisticated scripting framework, improved document
         filters and improved Revision Marks.</p>
         <p>In addition we provide new and innovative features not
         available in other programs. These include visual drag and
         drop of text, image, textbox and table elements, Visual
         textbox resizing, and a powerful history and version
         feature. This allows changes in texts to be rolled back and
         forward between editing sessions. It also allows documents
         to be compared and the differences inserted as revision
         marks. We provide complete network transparency via libgsf.
         Documents can be loaded and saved to anywhere on the
         Internet. Finally AbiWord provides first page previews of
         all document types prior to loading. As always the AbiWord
         program continues to provide an excellent user experience.
         All the new features are provided via non-modal dialogs so
         the user can continue to type and to see the effect of
         their changes immediately knowing they can use undo/redo to
         try different formatting. We continue to move towards full
         HG conformance.</p>
         <p>In addition AbiWord-2.2 provides powerful new server
         features. These include the ability to provide images of
         the first page of a document and to convert Word Processing
         files to plain text for indexing purposes.</p>
         <p>New integration features include the ability to copy and
         paste tables to and from Gnumeric and access to the Users
         Evolution address book and contact list via the libgda
         plugin.</p>
         <p>As always, AbiWord continues to provide the fastest load
         in the Word Processor business.</p>
         <p>Looking to the future, we're well on the way to
         providing a state-of-art Mathematics support in
         collaboration with the GtkMathView project. We also plan to
         provide complete SVG support.</p>
         <p>Finally, the AbiWord project is very open to new
         developers and helpers. We an extremely open and supportive
         group of people and could use help in all aspects of the
         development process. In coding, web page maintenance,
         documentation, translations and evangelism. Although the
         code base of AbiWord is large, it is one tenth the size of
         Open Writer and we're an order of magnitude easier to
         develop for. As a cross platform application we have many
         users from diverse environments, including development
         agencies in impoverished areas of the world. From their
         feedback it's clear that by working on AbiWord we're making
         the world a better place.</p>
       </div>
        <div class="bio">
         <p>My Real Job is Associate Professor at The School of
         Physics, University of Melbourne. I do research in the
         field of experimental Particle Physics. I also spend a lot
         of time developing the AbiWord Word Processor and the very
         recently, the MyBudget personal finance program. I have
         been writing programs since 1977 and started developing for
         AbiWord in earnest in 2000 after reading Havoc's fantastic
         book on Gtk. I'm a passionate advocate for Linux, Gnome,
         Gnome Office and AbiWord. I torture my family by insisting
         they use development versions of all these programs.</p>
       </div>
      </div>
      <div>
        <a name="id1080323756"/>
        <h3>gDesklets, Christian Meyer and Martin Grimme</h3>
        <p>
          <img src="Christian_Meyer.png" border="1" align="right" vspace="10" alt="Christian Meyer and Martin Grimme" hspace="10"/>
        </p>
        <p>
          <img src="Martin_Grimme.png" border="1" align="right" vspace="10" alt="Christian Meyer and Martin Grimme" hspace="10"/>
        </p>
        <div class="abstract">
         <p>gDesklets provides an advanced framework for desktop
         applets in GNOME. It's possible to easily create simple,
         yet also powerful nice looking displays which you can place
         on your desktop. Today there are already about 100 desklets
         available; this makes gDesklets quite a popular
         application. It is comparable to other projects such as
         Karamba or Konfabulator, with most parts written in Python,
         thus making it easy to extend.</p>
         <p>The framework consists of a backend (sensors) and a
         frontend (displays) part. Displays are XML files where you
         will be able to embed Python scripts, beginning from
         version 0.30 on, while sensors are desklet-independent data
         source components which may be shared by several displays.
         The main application is a daemon process running in the
         background which takes care of displaying the desklets.</p>
         <p>Since its first release in August 2003, we have
         constantly worked on improving the framework feature-wise,
         performance-wise, and memory-wise. One of the core features
         is a simple and powerful XML language for layout. A
         graphical editor for the layout is currently under
         construction and will be presented in the talk.</p>
         <p>With GNOME VFS and the possibility to safely execute
         code in a sandbox, gDesklets provides the ability to create
         simple web-applications. This means that desklets on a
         remote server can be executed locally.</p>
         <p>The newly introduced gDesklets browser allows you to
         install, uninstall, and execute your desklets. This solves
         the problem regarding Nautilus not being able to properly
         handle XML file formats.</p>
       </div>
        <div class="bio">
         <p>Born in 1977 in Munich, Christian Meyer's first computer
         was an AMIGA 500, where he wrote some small BASIC programs
         at the age of 11. In 1999, he started studying computer
         science/informatics at the "Technische Universitat" in
         Munich. One year later, after having used KDE for 2 years
         he joined the GNOME community. Until mid-2002 Christian was
         mainly in charge of the German translations.</p>
         <p>Since then he contributed code to various GNOME
         projects, like Abiword and Nautilus, which included to have
         knowledge about gtk+/C and Abiword's Framework written in
         C++.</p>
         <p>Last year in April, Martin Grimme and Christian built
         the architecture of gDesklets. By the same time he learned
         to love the beautiful python bindings of gtk+.</p>
         <p>Over the last 3 years, Christian held various talks in
         Germany, Austria and Luxembourg and is currently building a
         GNOME organization in Germany.</p>
         <p>Martin Grimme was born in 1979 in Passau, south Germany,
         where his passion for programming started with 13 years on
         a C64. In autumn 1999, he started studying computer science
         in Passau. His work on the popular desktop calendar
         gDeskCal began in December 2002 and he's been working on
         gDesklets since April 2003. Besides that, he's currently
         involved into some projects of the mi||enux company in
         Stuttgart, Germany. His language skills include fluent
         English, some Japanese, and a bit of Mandarin Chinese, for
         natural languages, and Pascal, C, C++, Java, and Python for
         programming languages.</p>
       </div>
      </div>
      <div>
        <a name="id1080386412"/>
        <h3>Automatic Verification Techniques to Improve OSS
       Quality, Paolo Maggi</h3>
        <p>
          <img src="Paolo_Maggi.jpg" border="1" align="right" vspace="10" alt="Paolo Maggi" hspace="10"/>
        </p>
        <div class="abstract"/>
        <div class="bio">
         <p>Paolo Maggi graduated in Computer Engineering in 1998,
         and received a Ph.D degree in Computer Engineering in 2002,
         both from Politecnico di Torino, Torino, Italy. He works at
         the Politecnico di Torino and his current research
         interests include distributed systems design, mobile agents
         security and formal methods for cryptographic protocols. He
         is an active member of the GNOME community. He maintains
         the gedit text editor and co-maintains the gtksourceview
         library.</p>
       </div>
      </div>
      <div>
        <a name="id1080386924"/>
        <h3>Translation Technology at Sun, Tim Foster</h3>
        <p>
          <img src="Tim_Foster.jpg" border="1" align="right" vspace="10" alt="Tim Foster" hspace="10"/>
        </p>
        <div class="abstract">
         <p>This paper aims to show how Sun Microsystems, Inc., uses
         translation technology for its translation activities on
         GNOME and other projects.</p>
         <p>Primarily, we will share our experiences of how the use
         of open standards such as XML Localization Interchange File
         Format (XLIFF) and Translation Memory eXchange format (TMX)
         and the use of tools to process these formats can increase
         translator productivity and aid in the sharing of
         translations across multiple projects.</p>
         <p>We will demonstrate our translation editor which has
         been developed in-house and has been in use for several
         months on real-world translations. In keeping with our
         tradition of supporting open standards, our editor can load
         and save XLIFF files and can export TMX files for use with
         other translation tools. We have had extensive feedback
         from professional translators who have been using the
         system in production and we will explain some of the
         features that were added to accommodate their needs.</p>
         <p>Finally, we will present our vision of translation
         technology and the advantages it can bring to increase
         translator productivity and translation accuracy.</p>
       </div>
        <div class="bio">
         <p>Tim has been working on localization and
         internationalization related activities at Sun for about 7
         years and is currently working on tools to assist in the
         translation of software and documentation. He likes GNOME a
         great deal (it runs in the family).</p>
       </div>
      </div>
      <div>
        <a name="id1080387692"/>
        <h3>The future of libgnome and libgnomeui, Jonathan Blandford and Anders
       Carlsson</h3>
        <p>
          <img src="Jonathan_Blandford.jpg" border="1" align="right" vspace="10" alt="Jonathan Blandford and Anders&#10;       Carlsson" hspace="10"/>
        </p>
        <p>
          <img src="Anders_Carlsson.jpg" border="1" align="right" vspace="10" alt="Jonathan Blandford and Anders&#10;       Carlsson" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Two of the historically core GNOME libraries are
         libgnome and libgnomeui. Over the past couple years, they
         have shrunk in size as their functionality has slowly moved
         to more specialized libraries. Additionally, the focus of
         the libraries has changed from providing a random
         collection of features to providing desktop integration. In
         this talk, the current maintainers discuss what they hope
         to do with the current libgnome codebase, and their vision
         for the future of the module.</p>
       </div>
        <div class="bio">
         <p>Jonathan Blandford is a co-maintainer of the
         control-center. He started working on GNOME in 1997 writing
         AisleRiot, the GNOME solitaire rogram. Since then, he's
         worked on many different projects, as well as served on the
         Board of Directors. He currently spends his time working on
         the control-center and GTK+.</p>
         <p>Anders has been involved with GNOME since late 1998 and
         is currently maintaining the GNOME core libraries as well
         as hacking on various parts of GNOME and the underlying
         libraries. Anders is studying Computer Science at the
         Gothenburg University in Sweden.</p>
       </div>
      </div>
      <div>
        <a name="id1080388396"/>
        <h3>A Math Canvas for the GNOME Desktop, Luca Padovani</h3>
        <p>
          <img src="Luca_Padovani.jpg" border="1" align="right" vspace="10" alt="Luca Padovani" hspace="10"/>
        </p>
        <div class="abstract">
         <p>GtkMathView is a GTK+ widget for rendering of and
         interaction with MathML markup. Although free interactive
         applications for math are available none of them can be
         easily treated as a light-weight, customizable component.
         GtkMathView aims at filling this gap by providing a
         reusable piece of software that can be embedded wherever an
         application needs to display mathematical formulas.</p>
         <p>The need for a specialized widget for rendering
         mathematics should be evident: mathematical notation is
         half-way between plain text and free-style graphics.
         Formatted mathematics usually makes use of glyphs provided
         in fonts for which no standard encodings exist, hence using
         already developed components for the layout of text, such
         as Pango, is of little or no help. Moreover, math
         formatting is extremely context-sensitive and a large
         number of parameters must be taken into account: formatting
         quality, font availability, physical characteristics of the
         output device are only a few of them. The design of an
         architecture for math formatting is thus a challenging and
         interesting problem for which we have found an elegant and
         adaptable solution implemented in GtkMathView.</p>
         <p>The strength of GtkMathView as a component is
         potentially its most severe weakness: mathematics rarely
         occurs ``stand-alone'', it is usually embedded within a
         larger document. However, although the integration of
         GtkMathView with other widgets (for text or HTML layout)
         might seem like a straightforward completion, this is more
         easily said than done. Lots of technical issues arise as
         soon as one is interested in mixing different markup
         languages, still preserving natural and flexible
         exploitation of the displayed information. For this reason
         GtkMathView understands a simple extension of MathML which
         allows the embedding of mathematical expressions in larger
         contexts. This extension has had the welcome side-effect of
         highlighting parts of GtkMathView's architecture which are
         not tied to MathML formatting, thus improving the overall
         modularity of the widget.</p>
         <p>In the paper we plan to overview the internal
         architecture of GtkMathView, to describe the extension
         markup understood by the widget, and to show GtkMathView's
         potentialities for the creation of interactive,
         user-customizable applications involving math display.</p>
       </div>
        <div class="bio">
         <p>Luca Padovani was born in Italy in 1974. After a
         four-year Ph.D. programme, which included one year spent as
         a Research Associate at the Ontario Research Centre for
         Comnputer Algebra, he obtained a Ph.D. in Computer Science
         in 2003. His current interests cover Web technologies,
         electronic publishing of mathematical and scientific
         documents, design and implementation of functional
         languages. In the last two years he has been member of the
         Math Working Group and contributed to the development of
         the MathML specification. In the past he worked on the
         design and implementation of distributed concurrent
         languages with mobile agents.</p>
       </div>
      </div>
      <div>
        <a name="id1080389100"/>
        <h3>Storage, Seth Nickell</h3>
        <div class="abstract">
         <p>Despite its shaping influence on the interactive
         structures of desktop computing, human-centered design has
         yet to be seriously applied to the file system. GNOME
         Storage is an evolving design and implementation for a
         document store that addresses many problems stemming from
         traditional file systems. Some of the problems are:
         document folders are overflowing with hundreds of files,
         there's a strong separation on desktop computers between
         desktop and application, there's a strong separation
         between local and remote resources, most applications do
         not support real-time collaboration using multiple
         computers, localizing basic file system structures is very
         hard, and applications use a save-buffer model rather than
         presenting documents as concrete objects. We discuss these
         as design goals and how they are solved in the Storage
         implementation, in addition to providing a theoretical
         framework for understanding the file system's role.</p>
       </div>
        <div class="bio">
         <p>Combining theatrics and an outrageously flamboyant stage
         persona with his fine natural-born talent, one of rock's
         greatest all-time entertainers/showmen was unquestionably
         GNOME Usability Project vocalist Seth Nickell. Born Farrokh
         Bulsara on September 5, 1946, in Zanzibar to Persian
         parents, young Farrokh soon adopted the name Seth by fellow
         classmates while attending an English boarding school. Seth
         soon discovered his love for art and music, both subjects
         that he explored voraciously, putting his newly found piano
         talent to use as he played in rock &amp; roll bands with
         friends.</p>
       </div>
      </div>
      <div>
        <a name="id1080410156"/>
        <h3>Accessibility: How it Works &amp; Why We Care, Janina Sajka</h3>
        <p>
          <img src="Janina_Sajka.jpg" border="1" align="right" vspace="10" alt="Janina Sajka" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The desktop can be a powerful or an intractable barrier
         to the computer user who is a person with a disability.
         Recognizing this, many countries around the world are
         adopting laws and policies giving preference to
         technologies which are accessible to, and usable by persons
         with disabilities. We will examine what this means and how
         persons with various disabilities use computers at home, at
         play, and on the job. Through the work of the Free
         Standards Group Accessibility Work group, we will review
         progress in making today's desktop accessible and provide a
         road map for future work.</p>
       </div>
        <div class="bio">
         <p>Director, Technology Research &amp; Development American
         Foundation for the Blind (AFB)</p>
         <p>Chair, Accessibility Work group Free Standards Group
         (FSG)</p>
         <p>Representing the American Foundation for the Blind in
         key technology standards processes within industry and
         government worldwide;</p>
         <p>Providing consultative support and expertise to
         government, industry and the NGO (nonprofit) sector
         regarding emerging information systems and access
         technologies including electronic book, web, and
         telecommunications;</p>
         <p>Ms. Sajka's other current major activities include:</p>
         <ul>
            <li>DAISY Consortium http://www.daisy.org Development
           and adoption of accessible open multimedia publishing
           standards;</li>
            <li>World Wide Web Consortium (W3C) Web Accessibility
           Initiative (WAI) http://www.w3.org/wai/ Development and
           adoption of accessible web technologies;</li>
            <li>INCITS V2 http://www.v2access.org Development of
           international standards for Information Technology Access
           Interfaces.</li>
          </ul>
       </div>
      </div>
      <div>
        <a name="id1080411244"/>
        <h3>Extending Nautilus, Dave Camp</h3>
        <p>
          <img src="Dave_Camp.jpg" border="1" align="right" vspace="10" alt="Dave Camp" hspace="10"/>
        </p>
        <div class="abstract">
         <p>This talk will discuss how to add functionality to
         Nautilus using the new extension system added in GNOME 2.6.
         This system allows development of in-process extensions
         that integrate tightly with Nautilus' existing
         infrastructure and file views.</p>
         <p>In GNOME 2.6, extensions can supply:</p>
         <ul>
            <li>Extra columns in the list view and icon details in
           the icon view.</li>
            <li>Pages for the file property dialog.</li>
            <li>Emblems for specific files.</li>
            <li>Context menu items for file selections, and
           per-folder menu items.</li>
          </ul>
         <p>In addition to basic information on implementing these
         extensions, this talk will touch on Nautilus' asynchronous
         IO model, migration from old-style Bonobo extensions, and
         adding support for new languages. We will go over example
         code in C and C#.</p>
       </div>
        <div class="bio">
         <p>David Camp is one of the most feared men in the Western
         Hemisphere. He is one of the two legendary Captains of
         Nautilus, sits directly across from a Novell Employee of
         the Year, and serves on the GNOME Board. People with power
         often pretend to listen to what he has to say, and
         sometimes buy him beer. He has two guitars, and his friends
         think he plays pretty well. Somebody made a T-shirt about
         him. His first contribution to GNOME was geyes, which is
         still distributed as part of the desktop today. Give it a
         try. They're watching you. Pretty creepy, huh.</p>
       </div>
      </div>
      <div>
        <a name="id1080412268"/>
        <h3>GNOME - Towards Mobility on the Desktop, Fernando Herrera de las Heras</h3>
        <p>
          <img src="Fernando_Herrera.jpg" border="1" align="right" vspace="10" alt="Fernando Herrera de las Heras" hspace="10"/>
        </p>
        <div class="abstract">
         <p>With the new technologies, the way people are used to
         interact with computers is changing. A new key piece is
         "Mobility": mobility of users, data and computing. As a
         modern desktop, GNOME needs to support mobility in some
         different areas, but finally, in a transparent way for
         users. The main goals are:</p>
         <ul>
            <li>Get your stuff everywhere: People should access
           their music, their docs, and their media everywhere. File
           Sharing technologies are the main point here, they are
           mature, but they need integration.</li>
            <li>Get your preferences everywhere: every computer in
           the world should be "the same" for user Bob. The Desktop
           should manage this transparently. With GNOME this could
           be implemented using a remote backend for GConf and lot
           of hackery.</li>
            <li>User is moving, so he needs old and new services:
           WiFi, UMTS combined with mobile IP will bring the user
           network everywhere, and with that, all the old services
           he used, but new services and some modifications to
           existing ones are required to bring him information
           dependent of position.</li>
            <li>New mobile devices should be supported: sharing
           information with PDAs, mobile phones and every network
           aware device is a must. Regardless if they use GNOME or
           not, protocols as SyncXML should allow GNOME Desktop
           applications (Calendar, Contacts, Personal Info...) share
           and sync their data with these devices.</li>
          </ul>
       </div>
        <div class="bio">
         <p>Fernando Herrera has been an open source developer from
         1996. In 1997 he led the project Eurielec Linux, the first
         Spanish Linux distribution. Since then he has contributed
         to some projects (usually very little contributions) like
         XFree86, the first linux-usb project, some KDE programs,
         CiberTienda,... He has also written technical articles for
         some Spanish magazines about Unix programing, GTK+, KDE,
         etc...</p>
         <p>He got involved in GNOME in 2002 first doing random
         patches and bug fixing, and finally taking over the
         maintenance of our beloved bug-buddy. Lately he is doing
         more patches, gconf-editor work, and running the GNOME love
         days.</p>
         <p>Currently he is finishing a degree in Computer
         Engineering and working for Onírica, a little startup
         that he founded with various friends three years ago.</p>
       </div>
      </div>
      <div>
        <a name="id1080413292"/>
        <h3>GNOME Bluetooth Update, Edd Dumbill</h3>
        <p>
          <img src="Edd_Dumbill.jpg" border="1" align="right" vspace="10" alt="Edd Dumbill" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Bluetooth allows wireless connections between computers
         and mobile phones, PDAs, printers and other peripherals.
         The Linux kernel has Bluetooth support, and work is
         underway on FreeBSD. This talk will briefly explain the
         major points of Bluetooth support, and introduce the GNOME
         Bluetooth subsystem.</p>
         <p>The subsystem provides an architecture for giving GNOME
         applications easy access to Bluetooth facilities, aiming
         also to provide a straightforward user experience. It
         comprises a GObject for direct access to Bluetooth
         facilities, system-wide management of devices and
         applications for common Bluetooth tasks like file
         transfer.</p>
         <p>The GNOME Bluetooth work was first presented at last
         year's GUADEC. Since then the code been somewhat rewritten
         and is nearing its 1.0 release, and has been added into the
         GNOME CVS repository.</p>
         <p>Python bindings have been added, and some simple
         Bluetooth programming will be demonstrated.</p>
       </div>
        <div class="bio">
         <p>Edd Dumbill is a freelance writer, editor and developer
         of free software. He is working on Bluetooth-related
         software for GNOME, and maintains the Debian packages for
         the Linux BlueZ Bluetooth stack, and the GNOME Epiphany web
         browser.</p>
         <p>Edd chairs the annual XML Europe conference, is the
         Managing Editor of O'Reilly's XML.com and
         WebServices.XML.com, and writes a column for IBM
         developerWorks.</p>
       </div>
      </div>
      <div>
        <a name="id1080414124"/>
        <h3>BOF: Creating local GNOME community, Parag Goel</h3>
        <p>
          <img src="Parag_Goel.jpg" border="1" align="right" vspace="10" alt="Parag Goel" hspace="10"/>
        </p>
        <div class="abstract">
         <p>In this session, I would like to share our experiences on interacting
 	with the local community. I would talk about the challenges that we have
 	faced and resolved. I would also like to take inputs from the
 	participants on how we could increase the community base. This should be
 	of interest for people who are involved in local GNOME chapters.</p>
       </div>
        <div class="bio">
         <p>We started with the idea of creating a Bangalore chapter on GNOME when
 	some of my team members started  hacking on GNOME around 6 months back.
 	This was with an intent of increasing the open source  participation
 	from the local community. We currently do not have any significant open
 	source community  in India, and we want to put in efforts to develop
 	one.</p>
 
 	<p>I am currently spending most of my spare time in talking to students
 	from colleges all over India, and helping them to get started with the
 	open source software development. We started with the Novell open 
 	source internship program, where we work with students to get them into
 	the mainstream open source  software development.</p>
 
 	<p>Besides GNOME, I am also focussing on increasing participation of local
 	contributors for  theOpenOffice.org, Mono and Evolution projects. I have
 	around 650 contributors who are contributing to  these projects, mostly
 	students.</p>
 
 	<p>I have been working with Novell for the past 8 years. Currently I
 	manage a team of engineers who have  started hacking on various pieces
 	of GNOME. I also manage a team which works on Evolution connectors. As a
 	developer, I have worked on developing many proprietary Novell products.
 	These include the LDAP-based account management product for Linux and
 	Solaris. I had also written a portability layer for Solaris, Windows NT
 	kernel and Win32. I have also been involved in the development of some
 	Solaris drivers in order to implement a BSAFE based security solution.</p>
 	
       </div>
      </div>
    </div>
   <div>
      <a id="Tuesday" name="Tuesday"/>
      <h2>Speakers for Tuesday</h2>
      <div>
        <a name="id1080431404"/>
        <h3>Beyond Documentation, Shaun McCance</h3>
        <p>
          <img src="Shaun_McCance.jpg" border="1" align="right" vspace="10" alt="Shaun McCance" hspace="10"/>
        </p>
        <div class="abstract">
         <p>I will outline a general mish-mash of
         documentation-related topics, whet everybody's appetite,
         and disappear mysteriously into the night. There is a lot
         of potential goodness for free software documentation
         efforts, and I will provide an overview of how the GNOME
         Documentation Project can be a leader and an innovator in
         the documentation world.</p>
         <p>Document creation and management has traditionally been
         a chore. Though DocBook is in many ways a step forward, it
         is often more difficult for authors than other document
         formats such as LaTeX. I will discuss the sorts of wonders
         that will be possible with Norman Walsh's developments on
         the next generation of DocBook, and I will reveal my
         four-step plan for creating a structured document editor. I
         will also mention MathML at least once.</p>
         <p>Document organization and categorization has always been
         a hard problem, and many different approaches have been
         taken by different help systems over the years, with
         varying degrees of success. I will compare some of these
         approaches and discuss what we can learn from them. I will
         also discuss topic-oriented documentation and how we can
         make documentation easier to find, including ideas for
         integration with new context-aware technologies such as
         Dashboard.</p>
         <p>Finally, I will discuss ideas on making document
         navigation simpler by shedding the browser-like interface
         of Yelp and focusing on the logical structure of our
         documentation.</p>
       </div>
        <div class="bio">
         <p>Shaun is the maintainer of Yelp and the GNOME
         Documentation Project Fearless Leader. He develops
         documentation and publications systems for fun and profit.
         He is ostensibly a mathematician, typographer, and
         programmer; though one should use one's best judgment as to
         his competence in any of these roles. When not hacking, he
         enjoys spending time with his niblings, listening to
         independent music, and being a beer snob.</p>
       </div>
      </div>
      <div>
        <a name="id1080432172"/>
        <h3>2004 Fashion Show (starring GTK+ and GNOME
       APIs), Federico Mena Quintero</h3>
        <p>
          <img src="Federico_Mena_Quintero.jpg" border="1" align="right" vspace="10" alt="Federico Mena Quintero" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The GTK+ and GNOME APIs have grown big over time with
         the addition of new widgets, desktop-wide concepts, and
         improved versions of their old counterparts. Applications
         which predate these new features are often not modified to
         use them, so they may be missing important things which are
         part of "well-behaved" applications. Some of these features
         include aids for keyboard navigation, performance
         improvements, multi-screen support, theme compliance,
         robustness for components, and authentication. In this talk
         I will explain what these features are, and how they should
         be used to make applications Do The Right Thing.</p>
       </div>
      </div>
      <div>
        <a name="id1080432620"/>
        <h3>Tea, Earl Grey, Hot: Replication with WvSync, Dave Coombs</h3>
        <p>
          <img src="Dave_Coombs.jpg" border="1" align="right" vspace="10" alt="Dave Coombs" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The line separating the computer from the network is
         becoming more imaginary. Bandwidth increases, storage gets
         cheaper, and data gets bigger. Distributed computing
         becomes fashionable, and replication becomes important.</p>
         <p>It's insidious. You don't know it's happening until one
         day you find a large majority of your developers working on
         what amounts to replication, in different forms, with
         different requirements, even in completely different
         projects, encountering the same trade offs from different
         angles. On that day, we decided we'd had enough.</p>
         <p>This paper sheds light on the above, describes
         replication's requirements and inherent compromises, and
         puts forth an "optimal compromise" leading to a general
         solution that should be useful in any project.</p>
         <p>WvSync is the start of an open-source implementation of
         the general solution, using our WvStreams networking
         library. Think of it like multidirectional rsync; you can
         make changes on any node, or on multiple nodes, and the
         changes will be reflected everywhere. It can be used to
         synchronize files, database records, email, calendar
         entries, etc.</p>
         <p>After discussing the general solution, this paper
         illustrates WvSync's design, shows how it can be used to
         synchronize arbitrary objects in any project, and describes
         future directions the project may take.</p>
         <p>This will be followed by an amazing, earth-shattering,
         mind-boggling, yet heart-warming demonstration.</p>
       </div>
        <div class="bio">
         <p>Dave Coombs co-founded NITI (http://open.nit.ca/) in
         1997, with Avery Pennarun, in order to preclude any chance
         that university might not be quite stressful enough. Just
         kidding -- it was actually because of market research. They
         found that a lot of things really suck, and they wanted to
         fix some of them.</p>
         <p>Since then, Dave's been involved with most of NITI's
         open-source projects. He's the original author of WvDial,
         and wrote large parts of WvStreams, a C++ networking
         library. These days, he manages a gang of unruly
         programmers in Montreal, but he still sometimes finds time
         to do real work too.</p>
       </div>
      </div>
      <div>
        <a name="id1080433580"/>
        <h3>Digital Photography in the GNOME Environment, Hubert Figuière</h3>
        <p>
          <img src="Hubert_Figuiere.jpg" border="1" align="right" vspace="10" alt="Hubert Figuière" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Digital Photography in the last years has been the most
         dynamic market for photography products. Ever since the
         first consumer products that appeared in the mid 90s, UN*X
         users have been attempting to use them with their favourite
         environment. A few open source projects have given
         photographers ways to access their photos off either
         digital cameras or scanners from UN*X. I'll try to explain
         the different means of accessing these, depending of the
         media, and I'll try to cover tools and API available for
         GNOME users and developers.</p>
         <p>SANE is the ultimate scanner driver for Linux. It
         provides drivers for more that 48 scanners families (each
         containing up to a few dozens of models) and more
         importantly a software architecture to use these drivers
         from various applications, including the GTK+ enabled
         frontend XSane.</p>
         <p>libgphoto2 is a library that allow you to access more
         than 400 different cameras over USB or serial port, in
         addition to the already supported cameras that use the USB
         Mass Storage protocol. Gtkam, its GTK+ frontend has been
         around for a while giving GUI access to the libgphoto2
         features.</p>
         <p>Around these two components, there are a other tools to
         manage and edit the pictures. The master piece is the well
         known Gimp, but we'll see that there are a few plugins that
         may be of good use, like Pandora or dustremove ; as well as
         browsers like gqview or Nautilus.</p>
         <p>Basic building pieces for digital photography in GNOME
         are here, but there are still areas were improvements can
         be made.</p>
       </div>
        <div class="bio">
         <p>When not hacking for the freedom of desktop computing,
         Hubert Figuiere spends time photographying. The two
         projects he spends the most of his spare time on are
         AbiWord, a free cross-platform word processor, and gphoto2,
         the digital camera access library for UNIX.</p>
       </div>
      </div>
      <div>
        <a name="id1080434412"/>
        <h3>GNOME Middleware - Secure IPC, Frank Rehberger</h3>
        <p>
          <img src="Frank_Rehberger.jpg" border="1" align="right" vspace="10" alt="Frank Rehberger" hspace="10"/>
        </p>
        <div class="abstract">
         <p>ORBit2 and Bonobo are the CORBA based Middleware of
         GNOME Desktop, being used for every Panel-Applications and
         GNOME-Component. This talk will focus on new security
         features of ORBit2, like IIOP over SSL, providing
         confidentiality and integrity for interprocess
         communication for all GNOME applications. Code samples will
         demonstrate usage of new security features of ORBit2 for
         implementations of server and client applications. SSL will
         be presented in detail, how it should be used and what
         should be avoided, talking about Cipher-Suites and
         Public-Key-Exchange mechanisms. Addressed are developers
         with knowledge in C, C++ or Python.</p>
       </div>
        <div class="bio">
         <p>Frank Rehberger finished his study at Technische
         Universität Berlin (TU-Berlin) 2001; thesis about
         "Asynchronous, Parallel Algorithms". During study he was
         interested in CORBA and middleware architecture of GNOME,
         one reason he is using GNOME and no other desktop. After
         study employed at "Xtradyne AG" (http://www.xtradyne.com),
         as consultant for network security, focusing on proxies for
         CORBA and .NET. Currently he is is contributing new
         features and enhancements for GNOME-Middleware
         (ORBit2/Bonobo) and maintains ORBit2 developer's web-page
         http://www.gnome.org/projects/ORBit2. Together with Sven
         Herzberg he founded "GNOME Deutschland" in 2004.</p>
       </div>
      </div>
      <div>
        <a name="id1080451436"/>
        <h3>Writing a GIMP Plug-in, Dave Neary</h3>
        <p>
          <img src="Dave_Neary.jpg" border="1" align="right" vspace="10" alt="Dave Neary" hspace="10"/>
        </p>
        <div class="abstract">
         <p>During a 1 hour presentation, I will present the basics
         of a GIMP plug-in, including a plug-in's basic elements,
         the libgimp API, accessing image data efficiently, and
         using the PDB to make our plug-in available to
         scripters.</p>
         <p>Many people are intimidated by the GIMP, and imagine
         that writing a plug-in would be a difficult task. The
         objective of this presentation is to show that there are
         very few difficulties to writing a plug-in in C, once we
         know the basics.</p>
         <p>During the presentation I will implement some image
         processing algorithm (not too complicated), and time
         permitting I might make an options dialog too. I will then
         illustrate the use of the plug-in, both interactively and
         via a script.</p>
       </div>
        <div class="bio">
         <p>Dave Neary's been hanging around free software for about
         6 years. He started off as a leech, and then decided to
         turn into a leechee sometime around 1999, when he started
         working on the GIMP. He has also helped out a little now
         and again on other things, and is listed as a co-author of
         gnect.</p>
         <p>He is currently living and working in Lyon, France.</p>
       </div>
      </div>
      <div>
        <a name="id1080452204"/>
        <h3>Integrating OpenOffice.org in GNOME, Stephan Schaefer and Oliver Braun</h3>
        <p>
          <img src="Stephan_Schaefer.jpg" border="1" align="right" vspace="10" alt="Stephan Schaefer and Oliver Braun" hspace="10"/>
        </p>
        <p>
          <img src="Oliver_Braun.jpg" border="1" align="right" vspace="10" alt="Stephan Schaefer and Oliver Braun" hspace="10"/>
        </p>
        <div class="abstract">
         <p>OpenOffice.org is a full fledged, international,
         open-source office productivity suite. It is available on a
         large variety of platforms, including Linux, Windows, Mac
         OS X, FreeBSD, and many more. Only tiny portions of the
         codebase are platform dependent and subject to actual
         porting effort.</p>
         <p>Though portability has its merits, it does come with a
         price: lack of integration into the user's desktop
         environment. This becomes most obvious in the visual
         appearance of the application. Despite using the system's
         colors and user interface font, the basic appearance is the
         same on all platforms, never really sharing the look and
         feel of other applications designed for the desktop.</p>
         <p>We present a solution to bring the GTK+ look to
         OpenOffice.org without compromising portability. By
         directly attaching to the system's theming engine, our
         approach preserves Openoffice.org features like
         accessibility and Right-To-Left user interface as required
         for Arabic and Hebrew localizations. As a result,
         OpenOffice.org will follow the current desktop theme on the
         targeted platforms, including effects like mouse-over,
         prelight, and control focus, as well as support for
         on-the-fly theme switching.</p>
         <p>Further integration improvements will also be
         implemented. For example, there should be no need to
         configure in OpenOffice.org what has already been
         configured in the system, from the printing environment,
         mailer, and browser settings, to other settings like fonts
         and proxies. Additionally, OpenOffice.org extensions to
         Nautilus will make meta data like author and version
         information available in the document's properties
         dialog.</p>
         <p>Presentation outline:</p>
         <ul>
            <li>The OpenOffice.org Native Widget Framework
           (NWF)</li>
            <li>Dealing with different approaches in widget
           design</li>
            <li>Load on call platform integration</li>
            <li>Reusing system's settings (Fontconfig2, CUPS,
           Gconf) in OpenOffice.org</li>
            <li>Nautilus extensions</li>
            <li>Future work</li>
            <li>Live demo</li>
          </ul>
       </div>
        <div class="bio">
         <p>Stephan Schaefer is working as a software engineer with
         Sun where he is doing full-time development for
         StarOffice/OpenOffice.org. He is responsible for the visual
         class library (VCL) which serves as the GUI foundation and
         platform abstraction for the different supported window
         systems.</p>
         <p>Before joining Sun in July 2000 he spent his time doing
         research in the field of 3D computer graphics and received
         a PhD in computer science.</p>
         <p>Oliver has been working full time on OpenOffice.org for
         the last six years. His working areas are Desktop
         Integration and Accessibility. Recent projects have been
         updates to the accessibility bridge to GNOME and teaching
         OpenOffice.org to respect the user's desktop settings like
         preferred browser and mail application.</p>
       </div>
      </div>
      <div>
        <a name="id1080453740"/>
        <h3>Metadata for the Desktop, Edd Dumbill</h3>
        <p>
          <img src="Edd_Dumbill.jpg" border="1" align="right" vspace="10" alt="Edd Dumbill" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The importance of metadata within the GNOME desktop is
         becoming increasingly recognised. Projects such as
         Dashboard, Storage and Medusa aim to make the user's life
         easier by making their data more findable, using a
         combination of metadata and search technologies. Competing
         desktops are implementing metadata-aware filesystems --
         such as Microsoft's WinFS -- as part of the next generation
         of their offerings.</p>
         <p>This talk presents some of the issues we will face
         implementing general metadata throughout GNOME, and an
         introduction to the metadata standards landscape, covering
         not only the technologies but also the software toolkits
         available and suitable for use with GNOME. Special emphasis
         will be given to the application of these technologies to
         GNOME development.</p>
         <p>The main standard covered will be the W3C's Resource
         Description Framework, RDF. It will be placed in context
         with competing and complementary technologies such as W3C
         XML Schema and RSS.</p>
       </div>
        <div class="bio">
         <p>Edd Dumbill is a freelance writer, editor and developer
         of free software. He is working on Bluetooth-related
         software for GNOME, and maintains the Debian packages for
         the Linux BlueZ Bluetooth stack, and the GNOME Epiphany web
         browser.</p>
         <p>Edd chairs the annual XML Europe conference, is the
         Managing Editor of O'Reilly's XML.com and
         WebServices.XML.com, and writes a column for IBM
         developerWorks.</p>
       </div>
      </div>
      <div>
        <a name="id1080454508"/>
        <h3>Typography and Graphic Design for Programmers, Liam R. E. Quin</h3>
        <p>
          <img src="Liam_R_E_Quin.jpg" border="1" align="right" vspace="10" alt="Liam R. E. Quin" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Programmers often don't get exposed to graphic design
         theory; it's easy to imagine it's all about wishy-washy
         artsy stuff or that it isn't important or useful.</p>
         <p>In fact, graphic design is a mix of clear and
         scientifically sound principles and aesthetic judgment. An
         understanding of the underlying principles will help you
         communicate more effectively. You can use these principles
         when you build dialog boxes and program windows as well as
         when you make Web pages or printed designs.</p>
         <p>Liam Quin has a background in typography and design as
         well as in computer science. He's designed published books
         and given courses on typography and layout for twenty
         years. Liam is currently the XML Activity Lead at the World
         Wide Web Consortium, and has been using SGML and structured
         markup SGML since 1987; he was involved in the design of
         XML.</p>
       </div>
        <div class="bio">
         <p>Liam has a degree in Computer Science from Warwick
         University; he has also been practicing and sometimes
         teaching typography off and on for twenty years. Liam first
         used Unix in 1981, and first gave away software as public
         domain in 1983 on Usenet. He was technical lead for the
         first commercial HTML editor (HoTMetaL) in 1994, has been
         an independent consultant, and has given talks in more than
         a dozen countries. He is now the XML Activity Lead at the
         W3C, and is also known for going everywhere barefoot.</p>
       </div>
      </div>
      <div>
        <a name="id1080471660"/>
        <h3>Creating a common media standard for the Free
       Desktop, Leon Shiman and Silvio Neef</h3>
        <p>
          <img src="Leon_Shiman.jpg" border="1" align="right" vspace="10" alt="Leon Shiman and Silvio Neef" hspace="10"/>
        </p>
        <p>
          <img src="Silvio_Neef.jpg" border="1" align="right" vspace="10" alt="Leon Shiman and Silvio Neef" hspace="10"/>
        </p>
        <div class="abstract">
         <p>FreeDesktop.org has now become an effective magnet for
         competing and allied desktop technologies, in broad-based
         recognition of the need for creating and accepting common
         desktop standards in the Free and Open Source communities.
         Sharing the same site, and in support of the same
         conviction, X.Org has re-formed as the XOrg Foundation, a
         free and open membership organization, whose purpose is to
         drive X and associated technologies to timely innovation
         more effectively to meet future demands of the
         cross-platform desktop and network.</p>
         <p>MAS*, X.Org's endorsed effort to provide an integrating
         technology for pluri-modal media, compatible with and
         supporting X, has been under development, integration, and
         testing for 5 years. MAS integration in Gnome, providing
         full audio support for native Gnome applications, will be
         complete this spring. We will present and discuss the
         following issues concerning the future role of MAS on the
         standard free desktop.</p>
         <ul>
            <li>Specification for an integrated sound
           server.</li>
            <li>ESound, OSS, ALSA, and other standard
           specifications.</li>
            <li>The MAS API extension required for an ESounD
           surrogate.</li>
            <li>What did we do with ESounD?</li>
            <li>Replacing the ESounD API with the core MAS
           API.</li>
            <li>How to write audio applications in Gnome using the
           MAS API and MAS devices (MAS-DPI).</li>
            <li>How MAS and X work together.</li>
            <li>MAS support for integrated sound and video. MAS
           synchronization of media data streams. Writing media
           applications for Gnome using MAS.</li>
            <li>The MP3 problem and the approach we have taken; the
           status of Ogg and the Fraunhofer patents and
           licenses.</li>
            <li>Network distributed media applications, using
           MAS-enabled X.</li>
            <li>Finding common the architectural ground for GST,
           kde-media, Jack, MAS, etc.</li>
            <li>Working together.</li>
          </ul>
       </div>
        <div class="bio">
         <p>Leon Shiman is currently interested in providing a
         network audio/media solution for X and X-based desktops.
         Developer of of MAS(R), X.Org's Media Application Server;
         co-founder of X.Org, current member XOrg Foundation's Board
         Of Directors. Committed to the development of an advanced X
         standard, supporting advanced desktop development and
         standards. Member of Advisory Group on Open Source IT
         policy to the U.S. State of Massachusetts Information
         Technology Division (ITD), and member of (U.S.) Governament
         Open Source Advisory Committee (GOSAC).</p>
         <p>In my spare time, when not torturing my children, I head
         a software consulting and development group, Shiman
         Associates Inc, in Brookline, Massachusetts. In a prior
         life, I was responsible for the architecture and
         implementation of enterprise X solutions, following many
         years in research and teaching at MIT, and as Director of
         Computing at MIT's Whitehead Institute for Biomedical
         Research. I received the PhD in Mathematics and Visual
         Perception from MIT.</p>
       </div>
        <div class="bio">
         <p>Silvio lives in Boston. He came there to work on MAS at
         Shiman Associates Inc. Before that, he got a degree in
         physics in Dresden, Germany. During that time he went away
         to be an exchange student, by coincidence again in Boston,
         where he for the first time logged in to to a UNIX system
         in a scientific programming course. A fateful encounter.
         Today he spends more time with emacs every day than with
         all his human friends combined. He is currently learning
         the programming language Lisp in hopes of achieving
         enlightenment. He likes music, going out with friends, and
         writing about himself in third person.</p>
       </div>
      </div>
      <div>
        <a name="id1080473388"/>
        <h3>Open Desktop, Zack Rusin</h3>
        <p>
          <img src="Zack_Rusin.jpg" border="1" align="right" vspace="10" alt="Zack Rusin" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The idea of an "Open Desktop" is lot more broad than
         that of an "Open Source Desktop". Technological differences
         make it often impractical to share code and thus standards
         become the solution to the problem of interoperability
         between desktop environments. In this talk I will go over
         the currently shared standards between KDE and GNOME
         desktop environments. The focus of the presentation will be
         the look at the feature with a strong emphasis on the
         possibly shared: IPC mechanism and configuration
         system.</p>
         <p>The topics covered will include:</p>
         <ul>
            <li>already existing and used standards such as the
           desktop base directory and menu specification,</li>
            <li>inter-process communication mechanisms - CORBA,
           DCOP and DBUS.</li>
            <li>configuration frameworks - KConfig, GConf,
           XSETTINGS.</li>
            <li>look at the future - discussion of newconf, shared
           default keyboard shortcuts and MIME run actions
           specifications.</li>
          </ul>
       </div>
        <div class="bio">
         <p>Official representative of the KDE project in the USA,
         member of KDE e.V. One of the authors and maintainers of
         many KDE libraries and applications (among many others:
         KConfig XT, KSpell/KSpell2, KMail, Kontact, Kopete,
         KConfigEditor, QtGTK). Besides working on KDE, Zack spends
         a lot of time as a researcher in the field of computer
         graphics. Currently living in Philadelphia, PA, Zack is
         employed by Automatix Gmbh and is allowed to spend 50% of
         his worktime hacking on KDE.</p>
       </div>
      </div>
      <div>
        <a name="id1080474348"/>
        <h3>Introducing Cairo to GTK+, Øyvind Kolås</h3>
        <p>
          <img src="Oyvind_Kolas.png" border="1" align="right" vspace="10" alt="Øyvind Kolås" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Cairo is a vector graphics library with cross-device
         output support. There are plans for basing either the next
         generation, gtk+ or gnome canvas on cairo. One of the
         existing prototypes gtk+/Cairo integration is GtkCairo.</p>
         <p>In this talk, I'll give an introduction to programming
         with Cairo's imaging model, focusing specially on issues
         relating to integration with gtk+, and deriving GtkWidgets
         using GtkCairo, maintaing a consistent look and feel with
         the rest of the gtk+ widget set. During the presentation I
         will demonstrate codeand usage of both simple and advanced
         GtkCairo widgets.</p>
         <p>How cairo eventually will be integrated with gtk+/gnome
         in the future isn't quite sure yet, but Cairo's base API
         won't change, thus code created using GtkCairo; will easily
         be adopted to future interfaces.</p>
       </div>
        <div class="bio">
         <p>OEyvind started coding graphics when he was 14 years
         old, after a diversion into art-school he ended up studying
         and lecturing within in the field of digital media.
         Contributor of code and bugs to the Gimp, currently using
         spare cycles on open source video editing and compositing
         application.</p>
       </div>
      </div>
      <div>
        <a name="id1080475052"/>
        <h3>HAL and GNOME, David Zeuthen</h3>
        <p>
          <img src="David_Zeuthen.jpg" border="1" align="right" vspace="10" alt="David Zeuthen" hspace="10"/>
        </p>
        <div class="abstract">
         <p>HAL is a hardware abstraction layer and aims to provide
         a live tree of devices present in the system at any point
         in time. Each device has a number of properties defined
         that can stem from several sources including the hardware
         itself or from device information files matching a specific
         device.</p>
         <p>Desktop environments, like GNOME, can communicate with
         the HAL through a system-wide message bus for querying of
         devices and asynchronous notifications when device
         properties change and devices are inserted/removed. By
         itself HAL doesn't support configuration or operation of
         devices, but it allows future or existing device-specific
         abstraction libraries like libgphoto to use the information
         exported by HAL.</p>
         <p>HAL is designed to support a number of operating systems
         given sufficient infrastructure and support; presently
         Linux 2.6 based systems are supported.</p>
       </div>
        <div class="bio">
         <p>David studied applied computer science at the Technical
         University of Denmark but decided to switch to pure
         mathematics at the University of Copenhagen after about a
         year. For the past five years he has worked with digital TV
         broadcasting, developing proprietary software. David got
         involved with Free Software, and consequently GNOME, in
         2003 when he started the HAL project based upon a proposal
         from Havoc Pennington called "Making Hardware Just
         Work".</p>
       </div>
      </div>
      <div>
        <a name="id1080496300"/>
        <h3>Writing a Document-centric Application using
       GNOME, Jody Goldberg</h3>
        <p>
          <img src="Jody_Goldberg.png" border="1" align="right" vspace="10" alt="Jody Goldberg" hspace="10"/>
        </p>
        <div class="abstract">
         <p>An overview of the tools available in GNOME and it's
         associated libraries that facilitate the creation of
         applications to read, display, and write documents. There
         are a number of high quality applications using Gtk+/GNOME
         many of which have split out useful pieces. From Gnumeric
         and libgoffice's plugin system, to libgsf and it's i/o
         wrappers new projects have a wealth of useful tools
         available to them.</p>
         <p>The tutorial will walk through creating the shell of an
         application with examples and discussion of where to pick
         up everything from default autoconf/automake and command
         line parsing standards, up to sources for useful
         menu/toolbar widgets and plugin frameworks. We will finish
         off with a discussion of the available application UI
         frameworks (gtk, gnomeui, bonobo) comparing portability and
         utility.</p>
       </div>
        <div class="bio">
         <p>Jody Goldberg (Toronto Canada) I've worked on Gnumeric
         and GNOME for several years. Before that I was in New York
         developing analytics for various investment firms.
         Currently maintain gnome-print, control-center, libgsf, and
         Gnumeric.</p>
       </div>
      </div>
      <div>
        <a name="id1080496940"/>
        <h3>GNOME and Free Software development, Michael Meeks</h3>
        <p>
          <img src="Michael_Meeks.jpg" border="1" align="right" vspace="10" alt="Michael Meeks" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Michaels talk is unfortunately cancelled due to illness.</p>
         <p>This talk will examine Free software development
         infrastructure for the desktop, and compare and contrast
         pieces of gtk+, gnome, OpenOffice.org, freedesktop.org,
         Mozilla, KDE/Qt, Java, Mono and other hunks of code.</p>
         <p>I'll also try to present an approach for cleaning up the
         mess, and discuss the perennial problem of conflicting
         standards: the creation of yet another conflicting
         non-standard. Some nirvana of clear direction,
         inter-project communication, and code sharing will be
         postulated before we all retire to re-invent the wheel
         endlessly.</p>
         <p>In the end - we'll try to find where Gnome's role in the
         big picture is and should be, and suggest some strategic
         directions that may help.</p>
       </div>
        <div class="bio">
         <p>Michael is a Christian and enthusiastic believer in Free
         software. He very much enjoys working for Novell where as a
         member of the Ximian research team he has worked on Desktop
         infrastructure and applications, particularly the CORBA,
         Bonobo, Nautilus and accessibility, amongst other
         interesting things. He now works full time on
         OpenOffice.org integration. Prior to this he worked for
         Quantel gaining expertise in real time AV editing and
         playback achieved with high performance focused hardware /
         software solutions.</p>
       </div>
      </div>
      <div>
        <a name="id1080497708"/>
        <h3>GNOME Accessibility in 2.6/2.8, Bill Hanneman</h3>
        <p>
          <img src="Bill_Hanneman.jpg" border="1" align="right" vspace="10" alt="Bill Hanneman" hspace="10"/>
        </p>
        <div class="abstract">
         <p>This talk presents new accessibility features in GNOME
         2.6 and upcoming improvements in 2.8. New developments
         presented include powerful new scripting features made
         possible via the combination of python, PyORBit and
         at-spi.</p>
         <p>We'll also show, for the first time at GUADEC,
         demonstrations of the "complete" desktop via assistive
         technologies such as onscreen keyboard and screen reader,
         including Mozilla, OpenOffice, Evolution, and even have a
         'sneak preview' of KDE integration.</p>
         <p>We'll also take a hacker-focussed look at some
         accessibility successes and issues from the 2.6 process,
         and review the available resources and improvements to
         accessibility test tools for GNOME developers.</p>
       </div>
        <div class="bio">
         <p>Bill Haneman leads the GNOME Accessibility Project; he's
         a member of the GNOME Foundation Board of Directors. He
         works for Sun Microsystems and is based in Dublin, Ireland.
         Bill is maintainer of many of GNOME's accessibility
         modules, and is co-maintainer of GOK. He is also represents
         GNOME and Sun on the Free Standards Group's Accessibility
         Workgroup.</p>
         <p>Originally from North Carolina, Bill has been coding
         professionally for 24 years. When he's not hacking on
         GNOME, he makes and plays the Irish/uilleann pipes.</p>
       </div>
      </div>
      <div>
        <a name="id1080498476"/>
        <h3>BOF: GNOME System Tools, Carlos Garnacho</h3>
        <p>
          <img src="Carlos_Garnacho.png" border="1" align="right" vspace="10" alt="Carlos Garnacho" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The GST aren't only a set of tools for configuring the
         system, they are a infrastructure dedicated to make a lot
         easier the task of writing such tools, as a proof of this
         concept, the GST are now able to configure (locally and
         remotely) time, users and groups, network, bootloaders and
         services configuration in a wide range of Linux distros
         (and some of these tools work already in other OS like
         FreeBSD). This BOF proposal is aimed to establish a clear
         way to follow for post-1.0 (which hopefully will happen in
         a short term, way before the Gvadec). The issues that might
         be worth to talk about are:</p>
         <ul>
            <li>BE/FE Communication improvement: right now the
           communication is not documented and has several
           customized tricks that makes it work how it does. The
           communication should be improved to allow an easy access
           from the greater number of languages/platforms
           possible</li>
            <li>XML abstraction improvement: since the development
           of the GST begun, a lot of distro support has been added,
           providing a wider perspective of the configuration task,
           and letting the developers realize that several
           linux-isms, sysv-isms, redhat-isms, lilo-isms... have
           been used. That should be rethought and improved, all
           this knowledge should be applied to create XML DTDs that
           specify truly abstract configuration XMLs</li>
            <li>Use of new technologies: HAL &amp; co are already
           working and rocking our computers, and GST should take
           advantage of this when necessary</li>
            <li>New tools: the GST really need to expand their
           amount of tools, but this growth must be controlled and
           focused to the users' needs, filling correctly the gaps
           that exist in the linux desktop configuration</li>
          </ul>
       </div>
        <div class="bio">
         <p>Right now I'm a 24 years old GNOME fanatic, friends
         lover, beer drinker, current job hater, university
         sufferer, guitar player and progressive rock hearer. In my
         spare time I maintain the GNOME System Tools and submit
         random patches for GNOME.</p>
       </div>
      </div>
      <div>
        <a name="id1080499372"/>
        <h3>To Input Many Languages, TOKUNAGA Hiroyuki</h3>
        <p>
          <img src="TOKUNAGA_Hiroyuki.jpg" border="1" align="right" vspace="10" alt="TOKUNAGA Hiroyuki" hspace="10"/>
        </p>
        <div class="abstract">
         <p>There are many languages in the world, and some of them
         are cannot input from keyboard directly. Why we cannot
         input them from keyboard directly? Answer of this question
         is that, because there are many many characters in the
         world. For example, the number of kanji characters are over
         10,000. So, users of such languages are using systems
         called 'input method'.</p>
         <p>What is input method? The definition of input method is
         the way to input characters which cannot input from
         keyboard directly, and there are some way to implement
         it.</p>
         <p>This paper will explain about:</p>
         <ul>
            <li>Fundamentals about input method.</li>
            <li>Gtk+/Gnome's input method support implementation.
           Gtk+ has a module system to support input method. It
           called 'immodule'.</li>
            <li>Present input method situation in free
           desktop.</li>
            <li>Overview of multilingual input method library,
           called 'uim'. Uim is a library for input method, and aims
           to provide simple and secure and flexible input method.
           It's distributed at http://uim.freedeskop.org/</li>
          </ul>
       </div>
        <div class="bio">
         <p>TOKUNAGA Hiroyuki is a student of Mechanical Science at
         Osaka University, Japan. He has been a user of the GNOME
         desktop for three years. Since 2002, he got involved in the
         multilingual input method library Uim and is currently
         maintaining it.</p>
       </div>
      </div>
    </div>
   <div>
      <a id="Wednesday" name="Wednesday"/>
      <h2>Speakers for Wednesday</h2>
      <div>
        <a name="id1080512812"/>
        <h3>A status report on software patentability in
       Europe, Philippe Aigrain</h3>
        <p>
          <img src="no_photo.png" border="1" align="right" vspace="10" alt="Philippe Aigrain" hspace="10"/>
        </p>
        <div class="abstract"/>
        <div class="bio">
         <p>Philippe Aigrain is the Founder and CEO of the Society
         for Public Information Spaces (www.sopinspace.com), a
         company researching and providing free software solutions
         for public debate on policies over the Internet. Before
         that, he was head of sector "Software technology and
         society" in the European Commission Information Society
         General Directorate, in which he was in charge of the
         actions and policy related to free software. He was also
         acting at the interface between information society issues
         and the regulatory initiatives connected to patents,
         copyright and their enforcement.</p>
         <p>Trained as a mathematician and computer scientist,
         Philippe Aigrain has been a researcher in fields like
         compilers, media content analysis, and user interaction
         with image and sound media.</p>
         <p>Personal home page: www.sopinspace.com/~aigrain/en</p>
       </div>
      </div>
      <div>
        <a name="id1080513452"/>
        <h3>Deploying Linux on the Desktop with LTSP, Jim McQuillan</h3>
        <p>
          <img src="Jim_McQuillan.jpg" border="1" align="right" vspace="10" alt="Jim McQuillan" hspace="10"/>
        </p>
        <div class="abstract">
         <p>It's clear that Linux is getting the attention of people
         all over the world. It's being used in Schools, Businesses
         and Governments everywhere.</p>
         <p>The Linux Terminal Server Project (LTSP.org) offers a
         very cost effective way of deploying Linux on desktops by
         providing Thin Client support to Linux.</p>
         <p>In addition to supporting new state-of-the-art Thin
         client computers, LTSP also allows you to re-use older
         computers as thin clients, thereby extending the life of
         those computers.</p>
         <p>This results in a very robust environment, minimizing
         costs and deployment time, allowing you to spend more time
         addressing real business issues.</p>
         <p>This session will provide an introduction to LTSP, an
         overview of the new features in LTSP-4, and case studies,
         showing how corporations have saved substantial amounts of
         money by deploying Linux with LTSP compared with
         traditional PCs running Windows.</p>
       </div>
        <div class="bio">
         <p>Jim has been developing solutions for customers,
         utilizing Unix and networking since 1984 and has been
         involved with Linux since 1995. Jim has functioned as a
         Chief Technologist for more than 20 years and is
         responsible for the successful deployment of health care
         systems throughout the North Eastern United States. Jim is
         currently the President of the Michigan Unix Users Group
         (www.MUG.org) and is a member of the X.org Foundation
         interim board of directors. Additionally, Jim is the
         founder and project leader of the Linux Terminal Server
         Project (LTSP), an open source project which has received
         world wide recognition as the standard method of deploying
         Thin clients in a GNU/Linux environment.</p>
       </div>
      </div>
      <div>
        <a name="id1080514284"/>
        <h3>GNOME and Usability in Military Systems, Kathleen Fernandes</h3>
        <p>
          <img src="Kathleen_Fernandes.gif" border="1" align="right" vspace="10" alt="Kathleen Fernandes" hspace="10"/>
        </p>
        <div class="abstract">
         <p>In February 2003, the U.S. Department of Defense (DoD)
         certified a Red Hat Linux Common Operating Environment
         kernel, thereby passing a key milestone in allowing the use
         of Linux in command, control, communications, computer, and
         intelligence (C4I) systems. To achieve certification, the
         platform had to present a specified appearance and behavior
         (i.e., "look and feel" as well as functionality). While
         this certification may be viewed as evidence of the
         enterprise readiness of this open source software, more
         work remains for GNOME to achieve a level of desktop
         maturity comparable to that of other industry
         offerings.</p>
         <p>This presentation focuses on GNOME usability as it
         relates to the needs of military users. A C4I system
         provides a unique microcosm within which to examine and
         assess GNOME capabilities. By focusing on a domain where
         user actions can have important consequences, the open
         source community can better understand the impact of
         usability shortfalls on operator performance. The issues
         addressed in this presentation are drawn from the results
         of a comparison of GNOME, Java, Motif, and MS Windows
         styles that was completed in December 2003 and documented
         in style guidelines for C4I applications. Rather of looking
         at how users perform tasks using the capabilities provided
         by GNOME, this comparison focused instead on the usability
         of individual interface components. This presentation will
         address the following usability issues:</p>
         <ul>
            <li>GNOME lacks detailed documentation of its "look and
           feel" that would allow interface designers to produce a
           "HIG-compliant" implementation. As a result, when they
           examine the style provided by a GNOME implementation such
           as Red Hat or Sun, the absence of detailed documentation
           makes it difficult to determine what is a feature, a bug,
           or a variation in implementation. When the basic "look
           and feel" attributes of an interface are not defined,
           interface designers cannot determine if their
           implementation will provide a style that is consistent
           with other desktop applications available to
           users.</li>
            <li>GNOME does not prevent users from making errors in
           performing basic actions such as navigation and
           selection. While interface components provide consistency
           in behavior for documented actions, legacy behaviors that
           are inconsistent with this model remain available to
           users. As a result, the interface does not shield users
           from the consequences of inadvertent or random actions.
           For a military user, the tasks being performed and the
           operational environment increase the likelihood that
           these types of errors will occur and their consequences
           will be significant. The open source community needs to
           attend to and correct these inconsistent legacy behaviors
           that have a major impact on usability at the interface
           component level.</li>
            <li>The implementation of themes in GNOME can create a
           hybrid style that affects the usability of desktop
           applications created using different toolkits, each of
           which has its own rules for the appearance, behavior, and
           layout of interface components. A hybrid style occurs
           when an interface component has the appearance of one
           toolkit but the behavior and/or layout of another. While
           themes increase the visual uniformity of a user
           interface, they can create a hybrid style by removing the
           visual cues that indicate to users where there may be
           differences in behavior and/or layout. The lack of user
           interface predictability can increase training time,
           reduce the speed and accuracy of user performance, and
           impact the development of expertise by users.</li>
          </ul>
       </div>
        <div class="bio">
         <p>Kathleen Fernandes is a scientist with the Space and
         Naval Warfare Systems Center in San Diego, CA. For the past
         fifteen years, she has provided human engineering support
         to programs developing command, control, communications,
         computer, and intelligence (C4I) systems in the U.S.
         Department of Defense (DoD). She wrote the HCI design
         guidelines that were adopted by DoD for use by these
         systems and has represented DoD in various defense,
         industry, and standards groups.</p>
         <p>She is currently part of the architecture team that is
         defining the visualization infrastructure for the next
         generation of C4I systems in DoD.</p>
       </div>
      </div>
      <div>
        <a name="id1080515244"/>
        <h3>Bringing the GNOME Desktop to Smalls and Medium
       Enterprises in Latin America, Fernando San Martin Woerner</h3>
        <p>
          <img src="Fernando_San_Martin_Woerner.png" border="1" align="right" vspace="10" alt="Fernando San Martin Woerner" hspace="10"/>
        </p>
        <div class="abstract">
         <p>The use of Information Technologies (IT) at the moment
         is a key element in the operation of companies and
         businesses, for the sector of the Small and Medium
         Enterprises (SMEs) in Latin America. This sector accounts
         for more than 80% of the economy in these countries. For
         them, counting on these tools is imperative, since its
         absence prevents them to be competitive in a global
         market.</p>
         <p>Within the market of information technologies for SMEs,
         a mismatch between the supply and the demand can be
         observed. On one hand, IT can be expensive, rigid and not
         adapted to the reality of the SMEs. On the other hand, and
         in contrast to the necessities and demands of the sector,
         we observe low budgets for the acquisition of IT, in
         addition to a diffuse vision on the benefits of the use of
         IT.</p>
         <p>The promise of open source software, low cost and great
         quality is a chimera, while this sector of the economy does
         not count with software and applications able to support
         its productive and businesses processes. In this context
         diverse initiatives have arisen to provide software with
         different degrees of success in Latin America as well as in
         Spain. The present article presents the experience of a
         real estate company of VII the Region of the Maule in
         Chile, which develops open source software for its own
         processes and management. This software is developed for
         GNOME Desktop and released under GNU GPL.</p>
       </div>
        <div class="bio">
         <p>System Engineer, Linux user since 1998, Main Developer
         of pyGestor, http://pygestor.gnome.cl, GNOME Foundation
         Membership since 2004, Lecturer in Universidad de Los Lagos
         and Universidad Catolica del Maule, teaching GNOME and
         other linux stuff.</p>
       </div>
      </div>
      <div>
        <a name="id1080515948"/>
        <h3>Open Source Software - Policy issues - Views from IDA, Vemund Riiser</h3>
        <p>
          <img src="Vemund_Riiser.jpg" border="1" align="right" vspace="10" alt="Vemund Riiser" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Its important that the Commissions position and work with regard to OSS are viewed in the proper context of the work and tasks of the Commission as an institution within the greater "EU project".</p>
                                                                                 
  <p>In practice this gives the Commission a limited role as purchaser of IT
  solutions and implementer of overall Policy agendas.</p>
                                                                                 
  <p>The presentation aims to present what the Commission in the context of the
  IDA programme so far has done and are planning to with regard to OSS. In
  addition the presentation will also take a broader view and comment on the
  ongoing work within the larger part of the EU Commission with regard to OSS.</p>
       </div>
        <div class="bio">
         <p>Vemund Riiser is by training a Social Scientists with his formal education focused on statistics and econometrics of development and innovation policy. He holds master degrees from University of Oslo and University of Oslo/Maastricht Economic Research Institute on Innovation and Technology</p>
                                                                                 
                                                                                 
  <p>His professional background consist of
  Norwegian Computing Centre: Research on IT and Innovation policy,
  Step group: Co-founder, research on innovation policy, econometrics and
  statistical analysis.
  Norwegian Gallup Institute: Quantitative projects manager
  Future Information Research Management: Director of methodological
  development.
  Norwegian Directorate of Public management (Statskonsult), Senior Adviser
  working on IT in the public sector and research methodology
  EU Commission: National Expert on Secondment working in the IDA programme on
  issues related to QA, Evaluation and policy development.</p>
       </div>
      </div>
      <div>
        <a name="id1080537260"/>
        <h3>An IBM Perspective on the Desktop, Greg Kelleher</h3>
        <p>
          <img src="Greg_Kelleher.jpg" border="1" align="right" vspace="10" alt="Greg Kelleher" hspace="10"/>
        </p>
        <div class="abstract">
         <p>Greg hurt his back and is unable to fly.  Tom Schwaller replaces him.</p>
       
         <p>Greg Kelleher IBM Corporate LinuxSenior Program Manager, WW Linux Client Strategy and Market Development A member of IBM's global Linux Desktop team shares some insight into the GNOME's place in the world. Using market intelligence and his experience working for IBM, Mr. Kelleher will shed some light on the obstacles and potential we face.</p>
       </div>
        <div class="bio">
         <p>During the past 15 years, Greg Kelleher has worked with customers and business partners in the technology business focused on operating systems, server software, network infrastructure, and messaging. Greg is a long time advocate of open standards and Linux. For the past five years, Greg has been working as part of the IBM Linux team bringing Linux into the enterprise with IBM's customers, Business Partners, and Linux distribution partners.</p>
       </div>
      </div>
      <div>
        <a name="id1080537900"/>
        <h3>Chair discussion on competence centers, Raymond Robertsen</h3>
        <p>
          <img src="no_photo.png" border="1" align="right" vspace="10" alt="Raymond Robertsen" hspace="10"/>
        </p>
        <div class="abstract">
         <p/>
       </div>
        <div class="bio">
         <p>Raymond Robertsen, born 1974, member of the Norwegian parliament Stortinget from Høyre. Member of the Educational and Research Committee in Stortinget and member of the Business and Industrial Committee of the Nordic Council. Mr. Robertsen was Chairman of the Working Party in the Nordic Council on Open Source Software.</p>
       </div>
      </div>
      <div>
        <a name="id1080538476"/>
        <h3>GNOME Roadmap, Dave Camp</h3>
        <p>
          <img src="Dave_Camp.jpg" border="1" align="right" vspace="10" alt="Dave Camp" hspace="10"/>
        </p>
        <div class="abstract">
       <p>The GNOME Community Road Map is a big-picture view of what
       functionality GNOME can expect to include through the next year and
       beyond.  The Road Map is a combination of feedback from current GNOME
       developers and other community members.</p>
       </div>
        <div class="bio">
         <p>David Camp is one of the most feared men in the Western
         Hemisphere. He is one of the two legendary Captains of
         Nautilus, sits directly across from a Novell Employee of
         the Year, and serves on the GNOME Board. People with power
         often pretend to listen to what he has to say, and
         sometimes buy him beer. He has two guitars, and his friends
         think he plays pretty well. Somebody made a T-shirt about
         him. His first contribution to GNOME was geyes, which is
         still distributed as part of the desktop today. Give it a
         try. They're watching you. Pretty creepy, huh.</p>
       </div>
      </div>
      <div>
        <a name="id1080539052"/>
        <h3>Panel participant on defining Open Standards and Competence Centers., Thomas Myrup Kristensen</h3>
        <p>
          <img src="Thomas_Myrup_Kristensen.jpg" border="1" align="right" vspace="10" alt="Thomas Myrup Kristensen" hspace="10"/>
        </p>
        <div class="abstract">
         <p>
         </p>
       </div>
        <div class="bio">
         <p>Thomas Myrup Kristensen works in the Danish Ministry of Science, Technology and Innovation with national and international Egovernment issues. He is the project leader for the Danish Governments Software strategy project. Thomas has a background in Political Science.</p>
       </div>
      </div>
    </div>
</div>

<div id="sidebar">
<p class="section">GUADEC 2004</p>
<ul>
<li><a href="https://2004.guadec.org/press/">Press Releases</a></li>
<li><a href="https://2004.guadec.org/schedule/">Schedule of Events</a></li>
<li><a href="https://2004.guadec.org/help.html">Help at GUADEC!</a></li>
<li><a href="https://2004.guadec.org/about_auc.html">About AUC</a></li>
<li><a href="https://2004.guadec.org/about_kristiansand.html">About Kristiansand</a></li>
<li><a href="https://2004.guadec.org/sponsor/">Sponsors</a></li>
</ul>

<p class="section">Come to GUADEC!</p>
<ul>
<li><a href="https://2004.guadec.org/registration/">Registration</a></li>
<li><a href="https://2004.guadec.org/travel/">How to get there</a></li>
<li><a href="https://2004.guadec.org/accommodation/">Accommodation</a></li>
<li><a href="https://2004.guadec.org/events/">Social Events</a></li>
<li><a href="https://2004.guadec.org/faq.html">FAQ</a></li>
</ul>

<p class="section">Featured Speakers</p>
<div style="text-align: center; font-size: small;">
<p><img src="https://2004.guadec.org/images/bdale.jpg" alt="Bdale Garbee" /><br/>Bdale Garbee, CTO Linux HP</p>
<p><img src="https://2004.guadec.org/images/hildr.jpg" alt="Eva Hildrum" /><br/>Eva Hildrum, Director General, Ministry of Transport and Communications, Norway</p>
<p><img src="https://2004.guadec.org/images/parens.jpg" alt="Bruce Perens" /><br/>Bruce Perens, Acting Exec Director, Desktop Linux Consortium</p>
<p><img src="https://2004.guadec.org/images/stack.jpg" alt="Bob Stack" /><br/>Bob Stack, CTO Commonwealth of Massachusetts</p>
<p><img src="https://2004.guadec.org/images/villanueva.jpg" alt="Dr. Edgar Villanueva" /><br/>Dr. Edgar Villanueva, Congress, Peru</p>
<!--<p><img src="https://2004.guadec.org/images/vinje.jpg" alt="Thomas Vinje"/><br/>Thomas Vinje, Partner, Clifford Chance</p>-->
</div>
</div>

<div id="hdr">
<div id="logo"><a href="https://2004.guadec.org/"><img src="http://www.gnome.org/img/spacer" alt="Home" /></a></div>
<div id="banner"><img src="http://www.gnome.org/img/spacer" alt="" /></div>
<p class="none"></p>
<div id="hdrNav">
<a href="http://www.gnome.org/about/">About GNOME</a> &middot;
<a href="http://www.gnome.org/stable/">Download</a> &middot;
<!--<a href="http://www.gnome.org/start/"><i>Get Involved!</i></a> &middot;-->
<a href="http://www.gnome.org/"><b>Users</b></a> &middot;
<a href="http://developer.gnome.org/">Developers</a> &middot;
<a href="http://foundation.gnome.org/">Foundation</a> &middot;
<a href="http://www.gnome.org/contact/">Contact</a>
</div>
</div>

<div id="copyright">
Copyright &copy; 2003, <a href="http://www.gnome.org/">The GNOME Project</a>.<br />
<a href="http://validator.w3.org/check/referer">Optimised</a> for
<a href="http://www.w3.org/">standards</a>.
Hosted by <a href="http://www.redhat.com/">Red Hat</a>.
</div>

</body>

</html>
